IPs dedicados
Reivindicar IP dedicado
Solicite um IP gerenciado e dedicado.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
/
claim
Reivindicar IP dedicado
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/claim"
payload = { "option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({option_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"type": "<string>",
"asn": 123,
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"ip_addresses": [
{
"ip": "<string>",
"fcrdns_confirmed": false,
"healthy": true,
"rdns": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizações
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Parâmetros de caminho
Corpo
application/json
Solicitação para reivindicar um IP dedicado gerenciado.
Resposta
IP dedicado UUID
Nome IP dedicado visível ao cliente
Status de provisionamento ou ciclo de vida
Tipo de alocação IP dedicado
Número do sistema autônomo para a alocação
Código ISO do país para a atribuição
Carimbo de data e hora de criação
Endereços públicos nesta alocação
Hide child attributes
Hide child attributes
Endereço público IP
Se o DNS reverso confirmado para frente foi aprovado
Estado de saúde atual quando disponível
Nome de host DNS reverso quando configurado
Data e hora da última atualização
Esta página foi útil?
⌘I
Reivindicar IP dedicado
